/** @format */

html {
	margin: 0;
}
header {
	position: fixed; /* ou position: sticky; */
	top: 0;
	left: 0;
	width: 100%;
	z-index: 1000; /* Garante que o header fique sobre outros elementos */
}

.header {
	display: flex;
	box-sizing: border-box;
	width: 100%;
	background-color: #031d29;
	justify-content: center;
	color: #fff;
}

body {
	font-size: 1rem;
	margin-top: 3rem;
	padding: 0;
	background-color: #aab8c1;
	font-family: 'Roboto', sans-serif;
	color: #000;
}

.navBar {
	display: flex;
	justify-content: center;
	align-items: center;
	gap: 10px;
	height: 2.5rem;
}
ion-icon:hover {
	cursor: pointer;
}
.navBar ion-icon {
	color: #fff;
	font-size: 2rem;
}

button {
	border: none;
	border-radius: 2px;
	padding: 0.4rem;
	background-color: #031d29;
	font-weight: bold;
	color: #fff;
	font-size: 1rem;
}
button:hover {
	cursor: pointer;
	background-color: #38657a;
}
ion-icon {
	color: #353333;
	font-size: 1.5rem;
	cursor: pointer;
}

label {
	color: #6d6c6c;
	font-size: 1rem;
}

#frmAddServico {
	display: none;
	margin: auto;
	/* border: solid 2px #000; */
	/* box-shadow: 0px 0px 2px #e0e0e0; */
	border-radius: 5px;
	padding: 20px;
	flex-direction: column;
	width: 20%;
	background-color: #fff;
	color: #000;
}
#DivAddServico {
	margin-top: 10px;
}
#btnAddServico {
	margin-top: 1rem;
}
#DivAddServico label {
	margin-top: 10px;
}
#DivAddServico input {
	padding: 5px;
}
#qTotal {
	margin-top: 10px;
	background-color: #ccc;
	border: none;
	padding: 5px;
}
.divCampos {
	display: flex;
	flex-direction: row;
	justify-content: space-between;
	align-items: center;
}

#CabecalhoFrmAddServ {
	display: flex;
	flex-direction: row;
	align-items: center;
	justify-content: space-between;
}

#frmAddValor {
	display: none;
	margin: auto;
	/* border: solid 2px #000; */
	/* box-shadow: 0px 0px 2px #e0e0e0; */
	border-radius: 5px;
	padding: 20px;
	flex-direction: column;
	width: 20%;
	background-color: #fff;
	color: #000;
}
#DivAddValor {
	margin-top: 10px;
}

#btnAddValor {
	margin-top: 1rem;
	font-size: 1rem;
}
#DivAddValor label {
	margin-top: 10px;
	font-size: 1rem;
}
#DivAddValor input {
	padding: 5px;
	font-size: 1rem;
}
#CabecalhoFrmValor {
	display: flex;
	flex-direction: row;
	align-items: center;
	justify-content: space-between;
}

#frmAddAjudaCustos {
	display: none;
	margin: auto;
	/* border: solid 2px #000; */
	/* box-shadow: 0px 0px 2px #e0e0e0; */
	border-radius: 5px;
	padding: 20px;
	flex-direction: column;
	width: 20%;
	background-color: #fff;
	color: #000;
}
#frmAddAjudaCustos label {
	margin-top: 10px;
	font-size: 1rem;
}
#frmAddAjudaCustos input {
	padding: 5px;
	font-size: 1rem;
}
#btnAddCustos {
	margin-top: 10px;
	font-size: 1rem;
}

#CabecalhoFrmAddAjudaCustos {
	display: flex;
	flex-direction: row;
	align-items: center;
	justify-content: space-between;
}
#login {
	display: none;
	margin: auto;
	margin-top: 10px;
	border: solid 2px #82828a;
	border-radius: 5px;
	padding: 20px;
	flex-direction: column;
	width: 16%;
	background-color: #fff;
	color: #000;
}
#login input {
	padding: 5px;
	font-size: 1rem;
}
#login img {
	width: 40%;
	height: auto;
}
#login #cabecalhoLogin {
	display: flex;
	flex-direction: row;
	justify-content: space-between;
}

#menuPrincipal {
	display: none;
	background-color: #eeee;
	margin: auto;
	margin-top: 10px;
	width: 25%;
	padding: 10px 20px 10px 20px;
	border-radius: 5px;
	flex-direction: column;
}

.Alinha {
	display: flex;
	margin: auto;
	flex-direction: column;
	gap: 1rem;
}

.divMenu {
	display: flex;
	align-items: center;
	justify-content: start;
	gap: 0.5rem;
	cursor: pointer;
	padding: 5px 10px 2px 10px;
	border-radius: 2px;
}

.divMenu:hover {
	background-color: #cecccc;
}
.divMenu span {
	color: #353333;
	font-size: 1.2rem;
}
#menuPrincipal p {
	color: #000;
	font-style: italic;
	border-bottom: solid 1px;
	border-color: #ccc;
	font-size: 1.2rem;
}
.grupoMenu {
	display: flex;
	border: solid 1px #aab8c1;
	border-radius: 5px;
	justify-content: center;
	flex-direction: column;
	padding: 0px 10px 10px 10px;
	box-shadow: 1px 1px 1px 1px #aab8c1;
	margin-top: 10px;
}
#tabelaServicos {
	border-collapse: collapse;
	width: 90%;
	margin: auto;
	border-color: #000;
	color: #000;
	font-weight: normal;
}
#relatServicos {
	display: none;
	flex-direction: column;
}
td {
	background-color: #fdfcfc;
}
tr {
	text-align: right;
}
th {
	text-align: center;
}
Acoes {
	text-align: center;
}

#criterios {
	display: flex;
	flex-direction: row;
	justify-content: space-between;
	box-sizing: border-box;
	margin: auto;
	margin-bottom: 10px;
	padding: 10px;
	color: #000;
	border: solid 1px;
	border-radius: 2px;
}

#voltarDeRelatorio,
#limpar,
#voltarDeRelatorioAjc,
#limparAjc {
	display: flex;
	align-items: center;
	gap: 10px;
	border: none;
	padding: 5px;
	border-radius: 2px;
	cursor: pointer;
	background-color: #031d29;
	color: #fff;
}
#voltarDeRelatorio:hover,
#limpar:hover,
#voltarDeRelatorioAjc:hover,
#limparAjc:hover {
	background-color: #38657a;
}
#voltarDeRelatorio ion-icon {
	color: #fff;
}

#limpar ion-icon {
	color: #fff;
}
#limpar {
	width: 100px;
}

#filtroAno,
#filtroAnoAjc {
	width: 60px;
}
#filtroEmpresa {
	color: #000;
}
#divFiltroEmpresa {
	color: #000;
	margin: auto;
	margin-bottom: 10px;
}

#frmAddClientes {
	display: none;
	flex-direction: column;
	width: 25%;
	margin: auto;
	background-color: #fff;
	color: #000;
	padding: 0px 20px 20px 20px;
	border-radius: 5px;
}
#frmAddClientes label {
	margin-top: 10px;
	font-size: 1rem;
}
#frmAddClientes input {
	padding: 5px;
	font-size: 1rem;
}
#frmAddClientes button {
	margin-top: 10px;
	font-size: 1rem;
}
#CabecalhoFrmAddClientes {
	display: flex;
	flex-direction: row;
	align-items: center;
	justify-content: space-between;
}

#empresa,
#local,
#empresaAjc,
#localAjc,
#empresaValor,
#localValor,
#empresaEdit,
#localEdit {
	padding: 5px;
}

#frmEditServico {
	display: none;
	margin: auto;
	/* border: solid 2px #000; */
	/* box-shadow: 0px 0px 2px #e0e0e0; */
	border-radius: 5px;
	padding: 20px;
	flex-direction: column;
	width: 20%;
	background-color: #fff;
	color: #000;
}

#btnEditServico {
	margin-top: 10px;
	font-size: 1rem;
}
#divEditServico label {
	margin-top: 10px;
}
#divEditServico input {
	padding: 5px;
}
#divEditServico {
	display: none; /* Escondido por padrão */
	position: fixed;
	z-index: 1100; /* Fica na frente de tudo */
	left: 0;
	top: 0;
	width: 100%;
	height: 100%;
	background-color: rgba(0, 0, 0, 0.5); /* Fundo preto transparente */
	max-height: 100vh;
	overflow: auto;
}

#qTotalEdit {
	margin-top: 10px;
	background-color: #ccc;
	border: none;
	padding: 5px;
	font-size: 1rem;
}
#CabecalhoEditServ {
	display: flex;
	flex-direction: row;
	align-items: center;
	justify-content: space-between;
}
#divConsultaAjc {
	display: none;
	flex-direction: column;
	color: #000;
}

#tabelaServicosAjc {
	border-collapse: collapse;
	width: 90%;
	margin: auto;
	border-color: #000;
	color: #000;
	font-weight: normal;
}
#divFiltroEmpresaAjc {
	color: #000;
	margin: auto;
	margin-bottom: 10px;
}
#criteriosAjc {
	display: flex;
	flex-direction: row;
	justify-content: space-between;
	box-sizing: border-box;
	margin: auto;
	margin-bottom: 10px;
	padding: 10px;
	color: #000;
	border: solid 1px;
	border-radius: 2px;
}
#voltarDeRelatorioAjc ion-icon {
	color: #fff;
}

#limparAjc ion-icon {
	color: #fff;
}
#limparAjc {
	width: 100px;
}
#filtroEmpresaAjc {
	color: #000;
}
/* ======================================================================== */
#frmEditAjudaCustos {
	display: flex;
	margin: auto;
	/* border: solid 2px #000; */
	/* box-shadow: 0px 0px 2px #e0e0e0; */
	border-radius: 5px;
	padding: 20px;
	flex-direction: column;
	width: 20%;
	background-color: #fff;
	color: #000;
}
#frmEditAjudaCustos label {
	margin-top: 10px;
	font-size: 1rem;
}
#frmEditAjudaCustos button {
	margin-top: 20px;
	font-size: 1rem;
}
#frmEditAjudaCustos input,
select {
	padding: 5px;
	font-size: 1rem;
}
#btnEditCustos {
	margin-top: 10px;
}

#CabecalhoFrmEditAjudaCustos {
	display: flex;
	flex-direction: row;
	align-items: center;
	justify-content: space-between;
}
#divEditAjudaCusto {
	display: none; /* Escondido por padrão */
	position: fixed;
	z-index: 1100; /* Fica na frente de tudo */
	left: 0;
	top: 0;
	width: 100%;
	height: 100%;
	background-color: rgba(0, 0, 0, 0.5); /* Fundo preto transparente */
	max-height: 100vh;
	overflow: auto;
}
#criteriosCli {
	box-sizing: border-box;
	display: flex;
	border: solid 1px #000;
	padding: 10px;
	align-items: center;
	justify-content: start;
	gap: 5px;
	margin: auto;
}
#unidadeCli {
	padding: 5px;
}
#buscaCli,
#menu {
	margin-top: 0px;
}
#tabelaConsultaCli {
	border-collapse: collapse;
	width: 90%;
	margin: auto;
	margin-top: 5px;
	border-color: #000;
	color: #000;
	font-weight: normal;
}
#divConsultaCli {
	flex-direction: column;
	display: none;
}
tbody tr {
	background-color: #ccc; /* Cor de fundo para todas as linhas no tbody */
}

#frmEditClientes {
	display: none;
	flex-direction: column;
	width: 25%;
	margin: auto;
	background-color: #fff;
	color: #000;
	padding: 0px 20px 20px 20px;
	border-radius: 5px;
}
#frmEditClientes label {
	margin-top: 10px;
	font-size: 1rem;
}
#frmEditClientes input {
	padding: 5px;
	font-size: 1rem;
}
#frmEditClientes button {
	margin-top: 10px;
	font-size: 1rem;
}
#CabecalhoFrmEditClientes {
	display: flex;
	flex-direction: row;
	align-items: center;
	justify-content: space-between;
}

#frmEditClientes {
	display: flex;
	flex-direction: column;
	width: 25%;
	margin: auto;
	background-color: #fff;
	color: #000;
	padding: 0px 20px 20px 20px;
	border-radius: 5px;
}

#divEditCli {
	display: none; /* Escondido por padrão */
	position: fixed;
	z-index: 1100; /* Fica na frente de tudo */
	left: 0;
	top: 0;
	width: 100%;
	height: 100%;
	background-color: rgba(0, 0, 0, 0.5); /* Fundo preto transparente */
	max-height: 100vh;
	overflow: auto;
}

#divImagemInicial {
	display: none;
	margin: auto;
	align-items: center;
	justify-content: center;
	flex-direction: column;
	color: #000;
}
#mensagem {
	color: #000;
}
#imagemUm {
	width: 10%;
	height: 30%;
	border-radius: 100%;
	box-shadow: 0px 0px 5px 5px #000;
}
#mensagem h4 {
	display: flex;
	align-items: center;
	justify-content: center;
}
#mensagem h5 {
	margin-top: 0;
	margin-bottom: 0.3rem;
}

#menuP {
	display: none;
	justify-content: center;
	align-items: center;
	gap: 10px;
}
#menuP:hover {
	cursor: pointer;
	background-color: #6d6c6c;
	height: 2rem;
	width: 11rem;
	border-radius: 5px;
}

@media (max-width: 750px) {
	body {
		box-sizing: border-box;
	}
	.grupoMenu p {
		font-size: 1.5rem;
	}
	#login {
		box-sizing: border-box;
		display: none;
		margin: auto;
		margin-top: 10px;
		border: solid 2px #82828a;
		border-radius: 5px;
		padding: 20px;
		flex-direction: column;
		width: 90%;
		background-color: #fff;
		color: #000;
	}
	input {
		font-size: 1rem;
		border: solid 1.5px;
	}
	#imagemUm {
		width: 20%;
		height: 60%;
		border-radius: 100%;
		box-shadow: 0px 0px 5px 5px #000;
	}
	#menuPrincipal {
		box-sizing: border-box;
		display: none;
		background-color: #eeee;
		margin: auto;
		margin-top: 10px;
		width: 100%;
		padding: 10px 20px 10px 20px;
		border-radius: 5px;
		flex-direction: column;
	}
	#frmAddServico {
		box-sizing: border-box;
		display: none;
		margin: auto;
		box-sizing: border-box;
		/* border: solid 2px #000; */
		/* box-shadow: 0px 0px 2px #e0e0e0; */
		border-radius: 5px;
		padding: 20px;
		flex-direction: column;
		width: 100%;
		background-color: #fff;
		color: #000;
	}
	#frmAddAjudaCustos {
		box-sizing: border-box;
		display: none;
		margin: auto;
		/* border: solid 2px #000; */
		/* box-shadow: 0px 0px 2px #e0e0e0; */
		border-radius: 5px;
		padding: 20px;
		flex-direction: column;
		width: 100%;
		background-color: #fff;
		color: #000;
	}
	#relatServicos {
		box-sizing: border-box;
		display: none;
		flex-direction: column;
		width: 100%;
	}
	#tabelaServicos {
		border-collapse: collapse;
		width: 100%;
		margin: auto;
		border-color: #000;
		color: #000;
		font-weight: normal;
	}
	#btnExcel,
	#btnExcelAjc,
	#exportExcelCli {
		display: none;
	}
	#divConsultaAjc {
		box-sizing: border-box;
		display: none;
		flex-direction: column;
		color: #000;
		width: 150%;
		overflow: auto;
	}
	#divConsultaCli {
		flex-direction: column;
		display: none;
		width: 100%;
		/* overflow: auto; */
	}
	#tabelaConsultaCli {
		border-collapse: collapse;
		width: 100%;
		margin: auto;
		margin-top: 5px;
		border-color: #000;
		color: #000;
		font-weight: normal;
	}
	#frmAddClientes {
		box-sizing: border-box;
		display: none;
		flex-direction: column;
		width: 100%;
		margin: auto;
		background-color: #fff;
		color: #000;
		padding: 0px 20px 20px 20px;
		border-radius: 5px;
	}
	#frmAddValor {
		box-sizing: border-box;
		display: none;
		margin: auto;
		/* border: solid 2px #000; */
		/* box-shadow: 0px 0px 2px #e0e0e0; */
		border-radius: 5px;
		padding: 20px;
		flex-direction: column;
		width: 100%;
		background-color: #fff;
		color: #000;
	}
	#frmEditServico {
		box-sizing: border-box;
		display: none;
		margin: auto;
		/* border: solid 2px #000; */
		/* box-shadow: 0px 0px 2px #e0e0e0; */
		border-radius: 5px;
		padding: 20px;
		flex-direction: column;
		width: 90%;
		background-color: #fff;
		color: #000;
	}
	#frmEditAjudaCustos {
		box-sizing: border-box;
		display: flex;
		margin: auto;
		/* border: solid 2px #000; */
		/* box-shadow: 0px 0px 2px #e0e0e0; */
		border-radius: 5px;
		padding: 20px;
		flex-direction: column;
		width: 90%;
		background-color: #fff;
		color: #000;
	}
	#frmEditClientes {
		box-sizing: border-box;
		display: flex;
		flex-direction: column;
		width: 90%;
		margin: auto;
		background-color: #fff;
		color: #000;
		padding: 0px 20px 20px 20px;
		border-radius: 5px;
	}
}
